Subject: bug#38653: wpa-supplicant dbus failure leads to networking service failure

From: Christopher Howard <[email-masked]>
Date: Thu, 30 Jan 2020 09:01:50 -0900

Hi, it has been so long... I think the last config.scm I tried to use
(some time ago) was:

"""
(use-modules (gnu)
	     (gnu packages cups)
	     (gnu packages scanner))

(use-service-modules desktop networking ssh xorg cups)

(operating-system
  (locale "en_US.utf8")
  (timezone "America/Anchorage")
  (keyboard-layout
    (keyboard-layout "us" "altgr-intl"))
  (bootloader
    (bootloader-configuration
      (bootloader grub-bootloader)
      (target "/dev/sda")
      (keyboard-layout keyboard-layout)))
  (mapped-devices
    (list (mapped-device
            (source
              (uuid "e95c1dba-a729-4a99-a5fd-d756539e545e"))
            (target "cryptroot")
            (type luks-device-mapping))))
  (file-systems
    (cons* (file-system
             (mount-point "/")
             (device "/dev/mapper/cryptroot")
             (type "ext4")
             (dependencies mapped-devices))
           %base-file-systems))
  (host-name "eowyn")
  (users (cons* (user-account
                  (name "christopher")
                  (comment "Christopher Howard")
                  (group "users")
                  (home-directory "/home/christopher")
                  (supplementary-groups
		   '("wheel" "netdev" "audio" "video"
		     "dialout" "lp" "disk" "floppy"
		     "cdrom" "lpadmin")))
                %base-user-accounts))
  (packages
    (append
      (list (specification->package "nss-certs"))
      %base-packages))
  
  (services
   (modify-services
    (append
      (list (service gnome-desktop-service-type)
            (service openssh-service-type)
            (set-xorg-configuration
	     (xorg-configuration
	      (keyboard-layout keyboard-layout)))
	    (service cups-service-type
		     (cups-configuration
		      (web-interface? #t)
		      (extensions
		       (list hplip-minimal cups-filters)))))
      %desktop-services)
          (udev-service-type
           config =>
           (udev-configuration (inherit config)
                               (rules (cons sane-backends
                                            (udev-configuration-rules
config))))))))

"""

I had more or less given up on bothering to try to upgrade system until
the next official guix release. That would be the ideal time for
another test run of this, so I could update both system and all my user
packages as well to the same target. Is there a rough idea of when the
next official release is coming? 

-----Original Message-----
From: Marius Bakke <[email-masked]>
To: Christopher Howard <[email-masked]>, [email-masked]
g
Subject: Re: bug#38653: wpa-supplicant dbus failure leads to networking
service failure
Date: Thu, 30 Jan 2020 12:44:26 +0100

Christopher,
Thanks for the bug report, and sorry for the late response.
Christopher Howard <[email-masked]> writes:
Under this guix commit, wpa_supplicant service fails to
initialize,which takes out networking also.
'''root@eowyn ~# guix describeGeneration 2	Dec 17 2019 08:30:38	
(current)  guix 328dd9b    repository URL: https://git.savannah.gnu.org
/git/guix.gitt    branch: master    commit:
328dd9b7c2030dfb66013e12f055b5b449c94007'''
>From /var/log/messages:
'''Dec 17 09:31:29 localhost wpa_supplicant[361]: dbus: Could not
requestservice name: already registered
I suspect what happened is that you are usingwpa-supplicant-service-
type, and also added 'wpa-supplicant' to the(packages ...) field of
your system configuration.  The latter willinclude a D-Bus policy file
for "fi.w1.wpa_supplicant1", whichwpa-supplicant-service-type also
tries to register.
As a workaround, you can set (dbus? #f) in wpa-supplicant-
configuration,or remove 'wpa-supplicant' from the system packages.  If
you wantwpa-supplicant installed globally, you can use 'wpa-supplicant-
minimal'instead.
Can you confirm?
Not sure how we can make this more robust.  The easiest fix is
probablyto default to (dbus? #f); the only program I know that use the
D-Businterface is NetworkManager, which has its own service in Guix.

-- 
Christopher Howard
Enterprise Solutions Manager
Alaska Satellite Internet
PO Box 70, Ester, AK 99725
3239 La Ree Way, Fairbanks, AK 99709
907.451.0088
1.888.396.5623
www.alaskasatelliteinternet.com